Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81570 - tulip / 3c59x net drivers not 802.1q VLAN capable
Summary: tulip / 3c59x net drivers not 802.1q VLAN capable
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-10 16:35 UTC by ivan
Modified: 2013-07-03 02:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:23 UTC


Attachments (Terms of Use)
tulip vlan patch (deleted)
2004-04-01 00:47 UTC, Joe Pruett
no flags Details | Diff

Description ivan 2003-01-10 16:35:08 UTC
Description of problem:
The following network drivers (at least) cannot deal with 802.1q VLANs:
* tulip
* 3c59x

Version-Release number of selected component (if applicable):
2.4.20-2.2

How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:

Expected results:


Additional info:
There are example (old) patches on the following page:
 http://www.candelatech.com/~greear/vlan/cisco_howto.html

Comment 1 Joe Pruett 2004-04-01 00:47:35 UTC
Created attachment 99022 [details]
tulip vlan patch

this patch has been submitted to the tulip driver site on sourceforge (which
seems to have tumbleweeds blowing by)

Comment 2 Warren Togami 2004-04-01 01:14:04 UTC
Please find out if the 2.6.5-rc3 kernel still has this problem.  If it
does, please try to find out why it was never merged.

Comment 3 Bugzilla owner 2004-09-30 15:40:23 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.